$toolbar-background-color: transparent !default
$toolbar-box-shadow-size: 0 2px 0 0 !default
$toolbar-box-shadow-color: $background !default
$toolbar-height: 4.25rem !default
$toolbar-narrow-height: 3.345rem !default
$toolbar-padding-vertical: 1rem !default
$toolbar-padding-horizontal: 2rem !default
$toolbar-z: 30 !default
$toolbar-fixed-z: 30 !default

$toolbar-item-color: $secondary !default
$toolbar-item-hover-color: $secondary !default
$toolbar-item-hover-background-color: rgba(0,0,0,.05) !default
$toolbar-item-active-color: $secondary !default
$toolbar-item-active-background-color: nth($blue-grey-lighten, 5) !default
$toolbar-item-img-max-height: 27px !default
$toolbar-narrow-item-img-max-height: 1.25rem !default

$toolbar-tab-hover-background-color: transparent !default
$toolbar-tab-hover-border-bottom-color: $secondary !default
$toolbar-tab-active-color: $secondary !default
$toolbar-tab-active-background-color: transparent !default
$toolbar-tab-active-border-bottom-color: $secondary !default
$toolbar-tab-active-border-bottom-style: solid !default
$toolbar-tab-active-border-bottom-width: 3px !default

$toolbar-dropdown-background-color: $white !default
$toolbar-dropdown-border-top: 2px solid $border !default
$toolbar-dropdown-offset: -4px !default
$toolbar-dropdown-arrow: $secondary !default
$toolbar-dropdown-radius: $radius-large !default
$toolbar-dropdown-z: 20 !default

$toolbar-dropdown-boxed-radius: $radius-large !default
$toolbar-dropdown-boxed-shadow: 0 8px 8px rgba($black, 0.1), 0 0 0 1px rgba($black, 0.1) !default

$toolbar-dropdown-item-hover-color: $black !default
$toolbar-dropdown-item-hover-background-color: $background !default
$toolbar-dropdown-item-active-color: $secondary !default
$toolbar-dropdown-item-active-background-color: $background !default

$toolbar-divider-background-color: $background !default
$toolbar-divider-height: 2px !default

$toolbar-bottom-box-shadow-size: 0 -2px 0 0 !default

=toolbar-fixed
  left: 0
  position: fixed
  right: 0
  z-index: $toolbar-fixed-z

.#{$namespace}-toolbar
  background-color: $toolbar-background-color
  min-height: $toolbar-height
  position: relative
  z-index: $toolbar-z

  &.is-level-2
    min-height: 60px
    .#{$namespace}-container
      // min-height: 60px
    .#{$namespace}-toolbar-brand
      width: 157px
    .#{$namespace}-toolbar-item
      font-weight: $weight-normal
      &.is-active
        &:after
          height: 2px

  &.is-narrow
    min-height: $toolbar-narrow-height
    .#{$namespace}-toolbar-burger
      height: $toolbar-narrow-height
      width: $toolbar-narrow-height
    .#{$namespace}-toolbar-item
      img
        max-height: $toolbar-narrow-item-img-max-height
  &.is-dark
    .#{$namespace}-toolbar-burger
      color: nth($black-lighten, 4)
    .#{$namespace}-toolbar-item
      color: white
      &:hover
        background-color: rgba(255,255,255,.05)
    .#{$namespace}-toolbar-brand
      .#{$namespace}-toolbar-item
        background-color: transparent !important

  &.is-ver-2
    position: fixed
    top: 0
    left: 0
    width: 100%
    min-height: 100vh
    padding: 1rem
    z-index: 1
    .#{$namespace}-toolbar-menu
      .#{$namespace}-toolbar-item
        &:after
          content: '\e919'
          font-family: 'shaper'
          font-size: 2rem
          position: absolute
          top: 50%
          right: .5rem
          transform: translateY(-50%)
        +tablet
          &:after
            content: none
    +tablet
      position: static
      z-index: auto
      min-height: 0

  &.has-burger-left
    .#{$namespace}-toolbar-burger
      margin-left: 0

  @each $name, $pair in $colors
    $color: nth($pair, 1)
    $color-invert: nth($pair, 2)
    &.is-#{$name}
      background-color: $color
      color: $color-invert
      .#{$namespace}-toolbar-brand
        & > .#{$namespace}-toolbar-item,
        .#{$namespace}-toolbar-link
          color: $color-invert
        & > a.#{$namespace}-toolbar-item,
        .#{$namespace}-toolbar-link
          &:hover,
          &.is-active
            background-color: darken($color, 5%)
            color: $color-invert
        .#{$namespace}-toolbar-link
          &::after
            border-color: $color-invert
      +tablet
        .#{$namespace}-toolbar-start,
        .#{$namespace}-toolbar-end
          & > .#{$namespace}-toolbar-item,
          .#{$namespace}-toolbar-link 

            > .#{$namespace}-icon:first-child
              margin-left: -.25rem
            > .#{$namespace}-icon:last-child
              margin-right: -.25rem

          & > a.#{$namespace}-toolbar-item,
          .#{$namespace}-toolbar-link
            &:hover,
            &.is-active
              // background-color: transparent
              background-color: darken($color, 5%)
              color: $color-invert
              border: none
            
          .#{$namespace}-toolbar-link
            &::after
              border-color: $color-invert
        .#{$namespace}-toolbar-item.has-dropdown:hover .#{$namespace}-toolbar-link,
        .#{$namespace}-toolbar-item.has-dropdown.is-active .#{$namespace}-toolbar-link
          background-color: darken($color, 5%)
          color: $color-invert
        .#{$namespace}-toolbar-dropdown
          a.#{$namespace}-toolbar-item
            &.is-active
              background-color: $color
              color: $color-invert
    > .font-nabimpact
      margin-top: 2%

  & > .#{$namespace}-container
    align-items: stretch
    // min-height: $toolbar-height
    display: flex
    width: 100%
    +tablet
      // width: $desktop - (2 * $gap)

  &.has-shadow
    box-shadow: $toolbar-box-shadow-size $toolbar-box-shadow-color
  &.is-fixed-bottom,
  &.is-fixed-top
    +toolbar-fixed
  &.is-fixed-bottom
    bottom: 0
    &.has-shadow
      box-shadow: $toolbar-bottom-box-shadow-size $toolbar-box-shadow-color
  &.is-fixed-top
    top: 0
  &.has-toolbar-burger
    padding-left: 72px

html,
body
  &.has-toolbar-fixed-top
    padding-top: $toolbar-height
  &.has-toolbar-fixed-bottom
    padding-bottom: $toolbar-height

.#{$namespace}-toolbar-brand,
.#{$namespace}-toolbar-tabs
  align-items: stretch
  display: flex
  flex-shrink: 0

.#{$namespace}-toolbar-brand
  a.#{$namespace}-toolbar-item
    &:hover
      background-color: transparent

.#{$namespace}-toolbar-tabs
  +overflow-touch
  max-width: 100vw
  overflow-x: auto
  overflow-y: hidden

.#{$namespace}-toolbar-burger
  +hamburger($toolbar-height)
  margin-left: auto

.#{$namespace}-toolbar-menu
  display: none

.#{$namespace}-toolbar-item,
.#{$namespace}-toolbar-link
  color: $toolbar-item-color
  display: block
  line-height: 1.5
  font-weight: $weight-semibold
  padding: 0.5rem 0.75rem
  position: relative
  transition: .5s
  .#{$namespace}-icon
    &:only-child
      margin-left: -0.25rem
      margin-right: -0.25rem

a.#{$namespace}-toolbar-item,
.#{$namespace}-toolbar-link
  cursor: pointer
  text-decoration: none

  @each $name, $pair in $colors
    $color: nth($pair, 1)
    $color-invert: nth($pair, 2)
    &.is-#{$name}
      background-color: $color
      color: $color-invert

  &:hover,
  &.is-active
    background-color: $toolbar-item-hover-background-color
    color: $toolbar-item-hover-color

.#{$namespace}-toolbar-item
  display: block
  flex-grow: 0
  flex-shrink: 0
  img
    max-height: $toolbar-item-img-max-height
  &.has-dropdown
    padding: 0
  &.is-expanded
    flex-grow: 1
    flex-shrink: 1
  &.is-tab
    border-bottom: 1px solid transparent
    min-height: $toolbar-height
    padding-bottom: calc(0.5rem - 1px)
    &:hover
      background-color: $toolbar-tab-hover-background-color
      border-bottom-color: $toolbar-tab-hover-border-bottom-color
    &.is-active
      background-color: $toolbar-tab-active-background-color
      border-bottom-color: $toolbar-tab-active-border-bottom-color
      border-bottom-style: $toolbar-tab-active-border-bottom-style
      border-bottom-width: $toolbar-tab-active-border-bottom-width
      color: $toolbar-tab-active-color
      padding-bottom: calc(0.5rem - #{$toolbar-tab-active-border-bottom-width})

.#{$namespace}-toolbar-content
  flex-grow: 1
  flex-shrink: 1

.#{$namespace}-toolbar-link
  padding-right: 2.5em
  &::after
    +arrow($toolbar-dropdown-arrow)
    margin-top: -0.375em
    right: 1.125em

.#{$namespace}-toolbar-dropdown
  font-size: 0.875rem
  padding-bottom: 0.5rem
  padding-top: 0.5rem
  .#{$namespace}-toolbar-item
    padding-left: 1.5rem
    padding-right: 1.5rem

.#{$namespace}-toolbar-divider
  background-color: $toolbar-divider-background-color
  border: none
  display: none
  height: $toolbar-divider-height
  margin: 0.5rem 0

+touch
  .#{$namespace}-toolbar > .#{$namespace}-container
    display: block
    align-items: center
  .#{$namespace}-toolbar-brand,
  .#{$namespace}-toolbar-tabs
    .#{$namespace}-toolbar-item
      align-items: center
      display: flex
  .#{$namespace}-toolbar-link
    &::after
      display: none
  .#{$namespace}-toolbar-menu
    background-color: $toolbar-background-color
    box-shadow: 0 8px 16px rgba($black, 0.1)
    padding: 0.5rem 0
    overflow: hidden
    &.is-active
      display: flex
      flex-direction: column
      max-height: 100vh
  // Fixed toolbar
  .#{$namespace}-toolbar
    &.is-fixed-bottom-touch,
    &.is-fixed-top-touch
      +toolbar-fixed
    &.is-fixed-bottom-touch
      bottom: 0
      &.has-shadow
        box-shadow: 0 -2px 3px rgba($black, 0.1)
    &.is-fixed-top-touch
      top: 0
    &.is-fixed-top,
    &.is-fixed-top-touch
      .#{$namespace}-toolbar-menu
        +overflow-touch
        max-height: calc(100vh - #{$toolbar-height})
        overflow: auto
  html,
  body
    &.has-toolbar-fixed-top-touch
      padding-top: $toolbar-height
    &.has-toolbar-fixed-bottom-touch
      padding-bottom: $toolbar-height

+tablet
  .#{$namespace}-toolbar,
  .#{$namespace}-toolbar-menu,
  .#{$namespace}-toolbar-start,
  .#{$namespace}-toolbar-end
    align-items: stretch
    display: flex
    // &[style*="width:"]
    //   > a
    //     flex: 1
  .#{$namespace}-toolbar
    min-height: $toolbar-height
    &.is-spaced
      padding: $toolbar-padding-vertical $toolbar-padding-horizontal
      .#{$namespace}-toolbar-start,
      .#{$namespace}-toolbar-end
        align-items: center
      a.#{$namespace}-toolbar-item,
      .#{$namespace}-toolbar-link
        border-radius: $radius
    &.is-transparent
      a.#{$namespace}-toolbar-item,
      .#{$namespace}-toolbar-link
        &:hover,
        &.is-active
          background-color: transparent !important
      .#{$namespace}-toolbar-item.has-dropdown
        &.is-active,
        &.is-hoverable:hover
          .#{$namespace}-toolbar-link
            background-color: transparent !important
      .#{$namespace}-toolbar-dropdown
        a.#{$namespace}-toolbar-item
          &:hover
            background-color: $toolbar-dropdown-item-hover-background-color
            color: $toolbar-dropdown-item-hover-color
          &.is-active
            background-color: $toolbar-dropdown-item-active-background-color
            color: $toolbar-dropdown-item-active-color
  .#{$namespace}-toolbar-burger
    display: none
    color: $blue-grey
  .#{$namespace}-toolbar-item,
  .#{$namespace}-toolbar-link
    align-items: center
    display: flex
  .#{$namespace}-toolbar-item
    &.is-stacked
      padding-top: .5rem
      padding-bottom: .4rem
      flex-direction: column
      font-weight: $weight-normal
      font-size: .8rem
    &.has-dropdown
      align-items: stretch
    &.has-dropdown-up
      .#{$namespace}-toolbar-link::after
        transform: rotate(135deg) translate(0.25em, -0.25em)
      .#{$namespace}-toolbar-dropdown
        border-bottom: $toolbar-dropdown-border-top
        border-radius: $toolbar-dropdown-radius $toolbar-dropdown-radius 0 0
        border-top: none
        bottom: 100%
        box-shadow: 0 -8px 8px rgba($black, 0.1)
        top: auto
    &.is-active,
    &.is-hoverable:hover
      .#{$namespace}-toolbar-dropdown
        display: block
        .#{$namespace}-toolbar.is-spaced &,
        &.is-boxed
          opacity: 1
          pointer-events: auto
          transform: translateY(0)
  .#{$namespace}-toolbar-menu
    flex-grow: 1
    flex-shrink: 0
  .#{$namespace}-toolbar-start
    justify-content: flex-start
    margin-right: auto
  .#{$namespace}-toolbar-end
    justify-content: flex-end
    margin-left: auto
  .#{$namespace}-toolbar-dropdown
    background-color: $toolbar-dropdown-background-color
    border-bottom-left-radius: $toolbar-dropdown-radius
    border-bottom-right-radius: $toolbar-dropdown-radius
    border-top: $toolbar-dropdown-border-top
    box-shadow: 0 8px 8px rgba($black, 0.1)
    display: none
    font-size: 0.875rem
    left: 0
    min-width: 100%
    position: absolute
    top: 100%
    z-index: $toolbar-dropdown-z
    .#{$namespace}-toolbar-item
      padding: 0.375rem 1rem
      white-space: nowrap
    a.#{$namespace}-toolbar-item
      padding-right: 3rem
      &:hover
        background-color: $toolbar-dropdown-item-hover-background-color
        color: $toolbar-dropdown-item-hover-color
      &.is-active
        background-color: $toolbar-dropdown-item-active-background-color
        color: $toolbar-dropdown-item-active-color
    .#{$namespace}-toolbar.is-spaced &,
    &.is-boxed
      border-radius: $toolbar-dropdown-boxed-radius
      border-top: none
      box-shadow: $toolbar-dropdown-boxed-shadow
      display: block
      opacity: 0
      pointer-events: none
      top: calc(100% + (#{$toolbar-dropdown-offset}))
      transform: translateY(-5px)
      transition-duration: $speed
      transition-property: opacity, transform
    &.is-right
      left: auto
      right: 0
  .#{$namespace}-toolbar-divider
    display: block
  .#{$namespace}-toolbar > .#{$namespace}-container,
  .#{$namespace}-container > .#{$namespace}-toolbar
    .#{$namespace}-toolbar-brand
      margin-left: -1rem
    .#{$namespace}-toolbar-menu
      // margin-right: -1rem
  // Fixed toolbar
  .#{$namespace}-toolbar
    &.is-fixed-bottom-desktop,
    &.is-fixed-top-desktop
      +toolbar-fixed
    &.is-fixed-bottom-desktop
      bottom: 0
      &.has-shadow
        box-shadow: 0 -2px 3px rgba($black, 0.1)
    &.is-fixed-top-desktop
      top: 0
  html,
  body
    &.has-toolbar-fixed-top-desktop
      padding-top: $toolbar-height
    &.has-toolbar-fixed-bottom-desktop
      padding-bottom: $toolbar-height
    &.has-spaced-toolbar-fixed-top
      padding-top: $toolbar-height + ($toolbar-padding-vertical * 2)
    &.has-spaced-toolbar-fixed-bottom
      padding-bottom: $toolbar-height + ($toolbar-padding-vertical * 2)

  // Hover/Active states
  a.#{$namespace}-toolbar-item,
  .#{$namespace}-toolbar-link

    &.is-active
      color: $toolbar-item-active-color
      &:after
        content: ''
        position: absolute
        bottom: 0
        left: 0
        right: 0
        height: 3px
        background-color: $red

    &.is-active:not(:hover)
      background-color: transparent

    @each $name, $pair in $colors
      $color: nth($pair, 1)
      $color-invert: nth($pair, 2)
      &.is-#{$name}
        background-color: $color
        color: $color-invert

        &:hover, &.is-active:hover
          background-color: darken($color, 10%)

        &.is-active
          background-color: darken($color, 5%)
          &:after
            content: none

        &:not(hover)
          background-color: $color

  .#{$namespace}-toolbar-item.has-dropdown
    &:hover,
    &.is-active
      .#{$namespace}-toolbar-link
        background-color: $toolbar-item-hover-background-color
        